23.12.27.1727
dodanie obsługi ssl 3.2/added support for ssl 3.2 with oscam
23.12.03
dodanie wymagania python3-requests, tworzenie pliku konfiguracyjnego, jeśli brak
23.10.29
przywrocenie picon fix
23.10.20
poprawki pod brakujące requests w openpli
23.10.07
Zmiany w kodzie, dodany OpenEight, dodanie info o dacie pliku EMM 183e
23.09.27
Dodana data dodatków ExtraMenu na serwerze
23.09.26.0105
dodana obsługa TeamBlue, zmiany pod opkg j00zka (teraz usuwa wszystkie znalezione wystąpienia), Tłumaczenie CZ i HU by  JOHNYD + Dodane EXTRA MENU z własnymi skryptami
23.09.19
Przywrocone dzialanie list kanalow w nbox (wynny ash)
23.09.18
fix for VTI and EGAMI oscam blue panel
23.09.12
inna identyfikacja czy zainstalowany curl. dodanie ciplushelper dla polskich modułow CI, openBH oscam hotfix, fix aktualizacja oscam
23.09.06
fix aktualizacja oscam kitte888
23.09.03
vpn tylko w OATV menu, Softcam.Key fix
23.08.29
Poprawki menu
23.08.26
drobne poprawki pod pure2, dodanie wsparcia OpenTR, dodanie arciwizacji i przywracania ustawien wtyczki
23.08.18
zmiany menu ustawien wtyczki, wyłączenie softcam.key (mohamed)
23.08.09
Dodanie informacji o dacie pliku satellites.xml w menu SKT, drobne poprawki
23.08.06
fixes for vti 15.0.2
23.08.04
poprawki pod listę azman (iptv), błędnie była rozpoznawana, typo samur czysty oscam, typo no_skt - ukrywanie menu narzedzi dodatkowych 
23.07.23
dodanie satelit 4W/1.9E/7E/10E/36E, obsługa wiekszej liczby list ciefp - aktualizowane automatycznie
23.07.08
dodanie opcji resetowania ustawień wtyczki do domyślnych
23.07.03
dodana obsługa zdalnych kart dla hwemm po protokole cccam
23.07.02
added new hidden feature cardserver_ip= in s4aupdater.cfg file, if is set hwemm uses this ip instead of 127.0.0.1
23.06.23
some changes for code stealers, who doesn't respect authors in header
23.06.16
mozliwosc wylaczenia prezentacji niektorych list kanalow (s4aUpdater.cfg -  skip_channel_lists=
23.06.15
some italian fixes, small code cleaning
23.06.14
added hidden feature to disable SKT menu (Additional Tools)  (no_SKT in s4aUpdater.cfg)
23.06.12
added italian translation by @spaeleus, some gzip fixes for oatv (picons)
23.06.08
fix opkg j00zka (thank you rafejo)
23.06.07
switched default oscam to jej@n, code cleaning
23.06.03
code cleaning
23.05.24
fix for hwemm TiVu
23.05.19.1404
dodanie SoftCam.key i generowanie listy Free CCCam, poprawki wyswietlania list kanalow przy czystej instalacji
23.05.17
podstawy pod kolejne funkcje, odswiezanie listy kanalow tylko jesli jest nowsza / przyspiesza to wydajnosc/, code cleaning, Vhannibal channel lists
23.05.13
dodanie przywracanie poprzedniego oscama
23.05.12
info wersji w restore, zmiana sposobu wyswietlania list kanalow, wylaczenie oscam sh4 dla kitte888, fix aoscam update (thx tomeki)
23.05.09
more data cleaning, add of FreeVPN, zmiany identyfikacji wget z opcja timestamp, dodanie repozytorium j00zek, hw_emm for prov 183E, zmiany w menu ustawien [on/off], missing translations, openssl zmiany pod oscam, zmiany mips
23.05.03
code cleaning, dodanie info o wersji oscam kitte888
23.04.27
bugfixes, zmiany opd OATV 7.3
23.04.20
zmiany w SKT jesli nie dziala oscam /nie jest przywracana konfiguracja/, poprawka aktualizacji
23.04.17
bugfixes and improvements, dodanie obsługi nbox
23.04.10
poprawki funkcji na serwerze, zmiany jezykowe, naprawa drobnego bledu w restore data, dodanie mozliwosci wymuszenia pobierania wersji oscam z libusb-pcsc, usprawnienie wydajności niektorych funkcji, zmiany w glownym menu, dodanie nowych list, sprawdzanie nowszej wersji po dacie, nie tylko po innym ciagu znakow, poczatki listy azman, czysta instalacja vti zmiamy, dodanie list GioppyGio i Morpheus883  (A+HB)
23.03.30
dodanie listy morpheus883 i GioppyGio pod motor, naprawa pobierania srvid2 w niektorych dekodrach
23.03.28
drobne poprawki przenoszenia plikow z --force, zmiany  w backup list /dodanie pliku lista_* jesli istnieje/, dodanie oscam kitte888, zmiana wygladu menu glownego, wieksza identyfikacja przy czystej instalacji
23.03.26
dodanie oscam MOHAMED19OS, modyfikacje pod BlackHarmony by j00zek, dodanie opcji dodaj/usun repozytorium, drobne poprawki 
23.03.25
dodanie obslugi oscama od samur i jej@n icam, menu konfiguracji wtyczki, dodana instalacja fullwget /wget nie sprawdzal sie z https/, sprawdzenie czy mozna zainstalowac curl /np. zgemma/
23.03.23
poprawki sprawdzania wersji beta przy pierwszym uruchomieniu, dodanie pelne debug, drobne modyfikacje wygladu, w SKT wlacz/wylacz wersje beta,  poprawki glownego menu, jesli pojawi sie nowa lista tego samego autora, dodane wymuszenie backupu na pena (jesli jest rozpoznany), dodanie Open Vision 12, dodanie zmiany rozdzielczości skórki MetrixHD w OpenATV (SKT)
23.03.20
dodanie w czystej instalacji konfiguacji pod 1884, poprawki unrar, 
zmiany w pobieraniu pliku, poprawki find dla istniejacej listy, dodatki w tłumaczeniach, 
usuwanie hasła do webif oscam, dodanie aktualizacji systemu do SKT (nie zawsze bylo widac w OATV przy 720), 
zmiany pobierani wiekszosci plikow z htt*, restart oscama przy przywroceniu konfiguracji, 
dodanie pliku konfiguracyjnego s4aUpdater.conf, przeniesienie danych tymczasowych do /tmp, 
dodanie obsługi OpenHDF, poprawki bledow, zmiany pod backup reczny list kanalow, 
mozliwosc zmiany ilosci przechowywanych list kanalow (domyslnie 6), drobne uspawnienia, poprawka bledu iaktualizacji oscam, jesli oscam nie dziala
23.03.09
dodanie natywnej obsługi oscama w OpenBlackHole (zgodnie z koncepcją dystrybucji) przy czystej instalacji, fix  czystej instalacji
23.03.01
przebudowanie identyfikacji aktywnego oscama , jesli w katalogu wtyczki istnieje srvid2_overwrite to zastapione zostaną wszystkie oscam.srvid2,
23.02.28
zmiany pod logfile, zmiany podczas uruchomienia czystego oscama,
23.02.27
czysty oscam (jesli sa konfigi to teraz wcale nie zostana nadpisane, nawet jesli sa starsze), przywracanie picon, moga byc w archiwum z podkatalogami
23.02.26
jesli lista jest pobierana z repozytorium, a uzywana jest obecnie lista tego samego autora, to kopia nie jest tworzona,  bugfixes
23.02.25
zmiana sposobu rozpakowywania list (ze wzgledu na rozne metody pakowania autorow -  kat, bez podkat...), naprawa info o aktualizacji listy kanalow w menu glownym, zmiany w generowaniu
23.02.24
przygotowanie pod logi /tmp/s4aUpdater.log + pewne nowosci, o ktorych pozniej 
23.02.22
zmiany pod czysta instalacje oscama na Hyperion, drobne poprawki aktualizacji oscam, poprawki przywracanie danych, poprawki wielojezycznosci,data srvid2 w SKT
23.02.21
przywracanie konfiguracji oscam do biezacej lokalizacji konfigów, nie tych z archiwum (ulatwia przenoszenie na inne systemy), poprawki wersji EN i DE, dodanie własnego busyboxa z obsługą komend, których czasami brakuje, poprawka prezentacji wersji oscam w wersji EN/DE
23.02.19
drobne poprawki pod starsze dekodery, dodanie daty do kopii oscam przy aktualizacji, pierwsze proby pod nbox list kanalow
23.02.16
dodanie listy zvirek13
23.02.14
czyszczenie kodu,  podniesiona liczba przechowywanych backupow do 24, TYPOs
23.02.11
wylaczenie backupu listy kanalow przy uzyciu opcji aktalizacji przy uruchomieniu systemu (za duzo generowało kopii - do 30 w miesiacu)
23.02.03
poczatki zmian pod nbox (jeszcze nie dziala)
23.01.24
dodanie warunku na libusb, nie jest sprawdzane istnienie, jesli nie jest wymagane (instalacja/aktualizacja)
23.01.22
poprawki pod instalacje/aktualizacje oscam VTI 15.x
23.01.21
typo czysta instalacja
23.01.19
listy kanalow - rozbudowa wspieranych rozszerzen (eksperymentalnie), zmniany w widoku przywroc dane
prawidlowa czysta instalacja na OATV(mozna tam wlaczyc, restartowac, wylaczyc), poprawki w obsludze list kanalow, poprawki archiwizacji
23.01.17
poprawki przy przywracaniu danych z kopii (oatv 7.2), fix SKT restore
23.01.10
dodanie parametru cmd przy uruchamianiu aktualizacji listy z linii komend
23.01.04
dodanie listy kanalow na HB od Darlo
23.01.02
drobne poprawki, sprzatanie
23.01.01
jesli istnieje w folderze wtyczki plik openssl102, to zostanie zainstalowany oscam z openssl 1.02 zamiast 3.0 (o ile taki rozpoznano).
22.12.31
poprawki w tlumaczeniu, drobne bledy w OPli develop
22.12.30
dodanie wsparcia dla openssl 3 zamiast uzycia 1.02, poprawka bledu w czystej_instalacji,  wymuszenie zachowania ulubionych
22.12.29
bugfixes for OATV 72 /translation improvements
22.12.28
poprawki info lokalne
22.12.27
dalsza rozbudowa wielojezycznosci DE/PL/EN , drobne poprawki, wylaczenie list update w plugin update
22.12.26
bugfixes restore backup
22.12.21
Dodanie zabezpieczenia, zeby oscam nie nazywał sie /bin/bash ani /bin/sh bo to uszkadza system  
 pytanie o restart po aktualizacji
22.12.19
Przygotowanie do poprawnego działania wielojęzyczności oraz okienek info (thx @j00zek) 
 dodanie info o nadpisaniu oscam.srvid2 (SKT)
 poprawki literowek
22.12.16
jesli istnieje plik restart w folderze, to po aktualizacji wtyczki nastapi restart e2
22.12.12
dodanie list kanalow od Kasztelan vel Jolaos
22.12.05
Dodanie sprawdzenie uprawnien kart lokalnych od @kalikamp oraz poprawki pod hasla ze znakami diakrytycznymi
22.12.02
sprawdzenie curl przy czystej instalacji oscam, poprawki odswiezenia list po instalacji
22.11.18
poprawki brakujacych elementow
22.11.06
poprawki bledu w wygladzie listy (pozostalosci testow)
22.11.04
poprawki pod aktualizację oscam (hyperion 9 - mod )
22.10.24
poprawki uprawnien do pliku list - jakiś stary bład
22.10.23
poprawki w listach oraz srvid2 przy openpli, dodanie repozytorium 
22.10.18
zmiany niewidoczne dla uzytownika, fix typo w nazwie 
22.10.14
SKT dodane nadpisywanie pliku satellites.xml, drobne poprawki pod nowe funkcjonalnosci
22.10.05
kolejne walki z czysta instalacja oscama na niektorych  dekoderach
22.10.04
dodanie obslugi list kanalow  Twarek
22.10.02 
kopia oscama biezacego z rozszerzeniem old, 
troche niewidocznych zmian pod kolejne wydania,
poprawki pod openpli 83 (aktualizacja)
22.09.29 
rozbudowa SKT - wiecej info o oscam, 
poprawki pod OATV7.1 (oscam), 
zmiana nazwy binarki w czystej instalacji, 
poprawki w nadpisywaniu konfiguracji, 
poprawki w kopiowaniu plikow jesli brak obslugi -n
22.09.21 2216
busybox (OATV )fix do aktualizacji oscam
22.09.21 1944 
zmianaidentyfikacji bledu w czystej instalcji oscama
22.09.17 2220 
rozszezenie aktalizacji srvid2 do wszystkich dystrybucji (testowo)
22.09.17 2157 
poprawka błędu w aktualziacji oscama.
22.09.17 1734
zmiany z lokalizacja srvid2 (przymiarki do automatu), drobne modyfikacje
22.09.12 1310
Poprawki pod listy @bzyk83 (enigma2.hswg.pl - po stronie serwera) - jeszcze trochę nowosci bedzie wdrożonych
22.09.07 2127
dodanie aktualizacji oscam.srvid2 (dziala z OPLI/OATV - reszta pozniej, kiedy bedzie czas)
22.08.26 1700
poprawki informacji o aktualizacji
22.08.18 1845 
drobne poprawki
22.08.14 1200
dodanie uruchomienia skryptu
22.07.31 1804 
zmiany prezentacji aktualizacji wtyczki
22.07.31 0640
dalsza unifikacja
22.07.24 1751
drobne poprawki wygladu listy
22.07.24 1400
dodanie listy 7x1 od @bzyk83
22.07.22 2320
dodanie w SKT wymuszenia zmiany portu oscam  na 8888
22.07.17 1435
przygotowanie pod mega 82 w informacjach o wersji
22.07.16 0651
rozszerzenie addons
22.07.02 1617
poprawki informacyjne
22.07.02 1031 
Przygotowania pod Mega 8.1
poprawki błędów 
22.07.01 1750 
próba dodania dystrybucji cobralibero (testowo) w SKT instaluj brakujące biblioteki 
 drobne poprawki
22.06.27 1940
info o aktualnej wersji pluginu w wyniku
22.06.20 1412
bugfixes z wersją oscam
22.06.20 1041
poprawki pod OpenPLi 9
22.06.19 1404 
info o dostępnej wersji oscam
 drobne poprawki
22.06.13 1955 
poprawki pod openPLi 7.x podczas czystej instalacji oscama 
22.05.28 1433 
drobne poprawki bash i os.system 
22.05.22 1552 
korekty wyświetlania menu w rozdzielczościach niższych niż FullHD
22.05.22 0942
Dodanie wstępne języka niemieckiego
minor bugfixes
finally next release more py friendly ;)
22.05.21 0245 Poprawki OATV 6x aktualizacja listy kanalow i samego pluginu
22.05.15 1008
drobne poprawki pod VTi
22.05.11 1331
poprawki pod weryfikację openssl
dodanie aarch64 do sprawdzenia ssl
22.04.30 1149  
dodana obsługa języka angielskiego. Wymagany restart GUI <----work in progress
22.04.29 2115 
Zachowanie ulubionych w listach kanałow
22.04.26 2047
modyfikacje pod openatv - czysta instalacja
22.04.18 1349 
poprawki pod curl (thx thoughtful)  
dalsza unifikacja
22.04.09 1442
dodanie listy Sancho - na probe
22.04.09  0811 
dodanie listy jaro
drobne fixy
22.03.25.0800  
poprawki pod nbox
22.03.13.1101
poprawki pod openssl3 , testowane na OATV7.1
22.03.12.1529
poprawki wyswietlania info o oscam
22.03.12.1326 
 poprawki pod aktualizacje openpli 7.3
22.03.11.1713
dodanie sprawdzenia wersji openssl
drobne bug fixes
22.03.09.1935
 zmiana sprawdzania czy istnieje curl przy listach kanalow (blad -e )
22.03.09.1854
poprawka pod kopiowanie w openPLi 7.x (do zmiany w przyszłosci vu zero4k)
22.02.27.2014
aktualizacja oscam: sprawdzneie, czy istnieje plik oscam.conf, jesli nie to jest zakladany
22.02.27.2221 
jest listnieje plik dontrestart enigma nie zostanie przeładowana automatycznie nigdy 
22.02.27.1454
SKT: zmiana Pokaż Info aktualnego OsCam
22.02.27.1355
SKT: dodanie informacji o publicznym IP
czyszczenie kodu cd ...
22.02.26.1122
dodanie informacji o zmianach w nowej wersji
czyszczenie kodu cd ...
22.02.25.1130
SKT: dodanie opcji tworzenia kopii pikon i przywracania z pliku pikon.zip 
22.02.24.1357
SKT: dodanie opcji tworzenia kopii i przywracania konfiguracji lokalnej oscama
weryfikacja instalacji curl
22.02.24.0714
SKT: dodanie tworzenia kopii listy kanałów  w nazwie kopii _R_ dla rozróznienia
dodanie obsługi listy bzyku83 na 5 satelit
drobne poprawki przy generowaniu listy kanalow do pobrania
22.02.23.2220
SKT: dodanie informacji o aktywnym oscam
22.02.23.1833
zmiana sposobu pobierania list kanałów
22.02.23.1101
dodanie rozpoznawania, gdzie jest zamontowany dysk, nie ma wymuszenia /hdd ...
22.02.23.0921
dodanie sprawdzanie nowej wersji listy kanalow na serwerze i info w menu glownym
+poczatek czyszczenia kodu
22.02.22.2213
dodane robienie kopii i przywracanie, na dysk jesli istnieje katalog /hdd/acypaczom/backup
22.02.22.1710
dodane przywracanie list kanalów
+some minor fixes
22.02.22.1356
tworzenie kopii list kanałow
obsługiwane jest 6 ostatnich, żeby nie zapychać
drobne zmiany wyglądu
22.02.21.1055
poprawka pobierania listy kanalow
wersja 22.02.21.0130
ukonczona instalacja/aktualizacja EGAMI 9 i 10
wczesniejsza weryfikacja procps
estetyczna zmiana nazwy pozycji 3 main menu
wersja 22.02.20.1930
poprawki warningow pythona
poprawki oscam instalacja na czystym systemie.
wersja 22.02.19.2150
włączenie toolsów - w rozbudowie
ukończona detekcja oscama w EGAMI
wersja 22.02.19.1943
dodanie sprawdzenia, przy czystej instalacji, czy przypadkiem nei ma juz działającego oscama
poprawki egami, nazwa inna niz oscam oraz sciezka do konfiguracji.
poprawki VTi
wersja 22.02.14.2021
automatyczne generowanie skryptow list do pobrania
poprawki do list kanalow - powinny rozpakowywac sie nawet na systemach bez -j w unzip
wersja  22.02.13.0921
poprawki pod aktualizację na VTi
sprawdzenie brakujacych libow pod OpenPLi
przygotowanie pod wielojęzyczność
usunieta ze wsparcia jednej listy kanalow 
wersja  22.02.11.21.56
aktualizacja sprawdza, czy jest uruchomiony oscam, jesli nie, konczy dzialanie
drobne literowki
wersja 2.2.11.18.54
zmiana wygladu glownego okienka (thanks to Pingu_TM)
wersja 2.2.11.17.14
zmiana sposobu podmiany bieżącego oscama
wersja 2.02.07.14:28
zmiana nazw niektórych pozycji w menu glownym
poprawienie wczytywania ikony projektu utworzonej przez @MasterPolo

wersja 2.02.07.09.38  <- wielki poczatek
